﻿
@{
    ViewBag.Title = "Product";
}

<h2>@ViewBag.Tittle</h2>

<div class=" panel panel-primary">
    <div class="panel-heading">
        <input id="btn-create-new" type="button"
               class="btn btn-default btn btn-lg"
               value="Create New" />
    </div>

    <div class=" panel-body">
        <div style="display: flex; justify-content: flex-end">
            <c>
                <div class="btn-group">
                    <input type="text" id="txt-search" class="form-control form-group-lg" placeholder="Search..." />
                </div>
            </c>
            &nbsp;
            <c>
                <div class="btn-group btn-group-sm">
                    <div class="dropdown">
                        <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown">
                            Pilih Urutan
                            <span class="caret">  </span>
                        </button>
                        <ul class="dropdown-menu">
                            <li><a id="Ascending">Ascending</a></li>
                            <li><a id="Descending">Descending</a></li>
                        </ul>

                    </div>
                </div> 
            </c>
            @*<c>
                <div class="btn-group btn-group-sm">
                    <button type="button" class="btn btn-primary btn-asc" title="Ascending">
                        <span class="glyphicon glyphicon-sort-by-alphabet" aria-hidden="true">
                        </span>
                    </button>
                </div>
            </c>
            &nbsp;
            <c>
                <div class="btn-group btn-group-sm">
                    <button type="button" class="btn btn-primary btn-desc" title="Descending">
                        <span class="glyphicon glyphicon-sort-by-alphabet-alt" aria-hidden="true">
                        </span>
                    </button>
                </div>
            </c>*@
        </div>

    </div>

    <div id="data-list">
        Loading...
    </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">
                        &times;

                    </span>
                </button>
                <h4 class="modal-title">
                    Modal Title
                </h4>
                <div class="modal-body">
                    <p> One fine boody &hellip;</p>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts{
    <script type="text/javascript">
    $(document).ready(function () {
        GetList(1);
    });

        var selPage = 1;
        var maxPage = 0;


    function GetList(page) {
        $.ajax({
            url: '@Url.Action("List", "Product")',
            type: 'get',
            data: { page: page, count :5},
            success: function (result) {
                $("#data-list").html(result);
                selPage = page;
            }
        });
    }

        function MoveToPage(moveTo) {
            if (parseInt(selPage) + parseInt(moveTo) >= 1 &&
                parseInt(selPage) + parseInt(moveTo) <= maxPage) {
                selPage = parseInt(selPage) + parseInt(moveTo);
                GetList(selPage);

            }
        }


    $("#btn-create-new").click(function () {
        $.ajax({
            url: '@Url.Action("Create", "Product")',
            type: 'get',
            success: function (result) {
                $(".modal-title").html("Create New");
                $(".modal-body").html(result);
                $(".modal").modal("show");
            }
        });
    });

    @*$("#btn-search").click(function () {
        $.ajax({
            url: '@Url.Action("ProductList", "Product")',
            type: 'get',
            data: { search: "#txt-search".val() },
            success: function (result) {
                $(".modal-body").html(result);
            }
        })
    });*@

    $("#txt-search").keyup(function () {
		$.ajax({
			url: '@Url.Action("ProductList", "Product")',
            type: 'get',
            data: { search: $("#txt-search").val() },
			success: function (result) {
				$("#data-list").html(result);
			}
		});
    });

    $(".btn-asc").click(function () {
		$.ajax({
			url: '@Url.Action("OrderAscList", "Product")',
            type: 'get',
            data: { search: $("#txt-search").val() },
			success: function (result) {
				$("#data-list").html(result);
			}
		});
    });

    $(".btn-desc").click(function () {
		$.ajax({
			url: '@Url.Action("OrderDescList", "Product")',
            type: 'get',
            data: { search: $("#txt-search").val() },
			success: function (result) {
				$("#data-list").html(result);
			}
		});
     });

    @*$("#btn-edit").click(function () {
        $.ajax({
            url: '@Url.Action("Edit", "Product")',
            type: 'get',
            data: {id : $(this).attr("data-id")},
            success: function (result) {
                $(".modal-title").html("Edit");
                $(".modal-body").html(result);
                $(".modal").modal("show");
            }

        });
    });*@

    </script>
}

